Skip to main content
GET
/
2025-04
/
marketing-solutions
/
advertisers
/
{advertiser-id}
/
coupons-supported-sizes
/2025-04/marketing-solutions/advertisers/{advertiser-id}/coupons-supported-sizes
curl --request GET \
  --url https://api.criteo.com/2025-04/marketing-solutions/advertisers/{advertiser-id}/coupons-supported-sizes \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "fullFrame": [
        "<string>"
      ],
      "logoZone": [
        "<string>"
      ]
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

advertiser-id
string
required

The advertiser identifier.

Query Parameters

ad-set-id
string

The ad set id on which you want to check the Coupon supported sizes.

Response

200 - application/json

The list of Coupon supported sizes is returned.

A top-level object that encapsulates a Criteo API response for a single entity.

data
object

A class that represents a domain entity exposed by an API.

errors
object[] | null
read-only
warnings
object[] | null
read-only